      program min3
c Calcola il minimo tra 3 numeri reali
      implicit none
      real a,b,c
      real x,y
      real minimo

      write(6,*) 'Introdurre tre numeri'
      read(5,*) a,b,c

      x = minimo(a,b)
      y = minimo(x,c)

      write(6,*) 'Il minimo tra ',a,b,' e ',c,' vale ',y

      stop
      end

      real function minimo(u,v)
      implicit none

      real u,v

      if (u.lt.v) then
          minimo = u
      else
          minimo = v
      end if

      return
      end

